<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('movies', function (Blueprint $table) {
            $table->json('top_cast')->nullable()->after('backdrop_path');
        });

        Schema::table('shows', function (Blueprint $table) {
            $table->json('top_cast')->nullable()->after('backdrop_path');
        });
    }

    public function down(): void
    {
        Schema::table('movies', function (Blueprint $table) {
            $table->dropColumn('top_cast');
        });

        Schema::table('shows', function (Blueprint $table) {
            $table->dropColumn('top_cast');
        });
    }
};
